summaryrefslogtreecommitdiffstats
path: root/build_tools/larch7/larch0/profiles/linhes-remote-stable-i686/rootoverlay/root/startx
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2010-11-04 18:06:25 (GMT)
committerJames Meyer <james.meyer@operamail.com>2010-11-04 18:06:27 (GMT)
commit429f14eea9f4c00ddd8d82f25612213df8d4af84 (patch)
treed8441dd4ef5ef539c0b263b138d36fb1995c38d8 /build_tools/larch7/larch0/profiles/linhes-remote-stable-i686/rootoverlay/root/startx
parent11ef4af01d6e197a54d0759e688ab5cbd336be4b (diff)
downloadlinhes_dev-429f14eea9f4c00ddd8d82f25612213df8d4af84.zip
add profiles for larch 7
Diffstat (limited to 'build_tools/larch7/larch0/profiles/linhes-remote-stable-i686/rootoverlay/root/startx')
-rwxr-xr-xbuild_tools/larch7/larch0/profiles/linhes-remote-stable-i686/rootoverlay/root/startx28
1 files changed, 28 insertions, 0 deletions
diff --git a/build_tools/larch7/larch0/profiles/linhes-remote-stable-i686/rootoverlay/root/startx b/build_tools/larch7/larch0/profiles/linhes-remote-stable-i686/rootoverlay/root/startx
new file mode 100755
index 0000000..9274703
--- /dev/null
+++ b/build_tools/larch7/larch0/profiles/linhes-remote-stable-i686/rootoverlay/root/startx
@@ -0,0 +1,28 @@
+#!/bin/bash
+. /etc/profile
+
+export USER=root
+export HOME=/root
+
+CMDLINE=$(cat /proc/cmdline)
+TEMPVAR=${CMDLINE#*ip=}
+IP=${TEMPVAR%% *}
+echo $CMDLINE |grep -q vnc
+USEVNC=$?
+
+if [ x$USEVNC = x1 ]
+then
+ $MV_ROOT/bin/xconfig.sh 2>/dev/null
+ cat /etc/X11/xorg.conf | sed -e 's/dev\/mouse/dev\/psaux/g'> /root/xorg.conf.install
+ startx /root/LinHES-install.sh -- -logverbose 6 -config /root/xorg.conf.install -allowMouseOpenFail 2>/tmp/x.log
+ else
+ #VNC
+ pacman -Sf --noconfirm tightvnc
+ cd /root
+ mkdir .vnc
+ echo mythvantage |vncpasswd -f > /root/.vnc/passwd
+ chmod 500 /root/.vnc/passwd
+ rm /root/.vnc/xstartup
+ ln -s /root/LinHES-install.sh /root/.vnc/xstartup
+ vncserver
+fi